Page MenuHomePhabricator

VisualEditor: Incorrect highlight while trying to add reference in a slug
Closed, ResolvedPublic

Description

Screenshot

The highlight that appears after inserting a reference in a slug is pretty weird.

See the screenshot attached


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz70065

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:29 AM
bzimport set Reference to bz70065.
Ryasmeen created this task.Aug 26 2014, 8:50 PM

It seems that if you insert a reference into a slug, the selection ends up as |<p>, <ref>, </ref>, </p>| rather than <p>, |<ref>, </ref>|, </p>

We should see how this behaves in Ed's "Stage slugs" code, though, because that's the future.

Esanders added a subscriber: Esanders.EditedFeb 12 2015, 1:56 PM

Breaks even worse at the moment, appears to corrupt the document CE node.

Esanders closed this task as Resolved.Feb 12 2015, 1:59 PM
Esanders claimed this task.

That bug is T89192, this particular issue was fixed with staging.